Package com.independentsoft.office.spreadsheet.connections

# Enum Class ParameterType

java.lang.Object
java.lang.Enum<ParameterType>
com.independentsoft.office.spreadsheet.connections.ParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterType>`, `Constable`

public enum ParameterType extends Enum<ParameterType>
The Enum ParameterType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  `NONE`
  `PROMPT`
  `VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParameterType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParameterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL

    public static final ParameterType CELL

  - ### PROMPT

    public static final ParameterType PROMPT

  - ### VALUE

    public static final ParameterType VALUE

  - ### NONE

    public static final ParameterType NONE

- ## Method Details

  - ### values

    public static ParameterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParameterType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null